Page MenuHomePhabricator

Mark tests as unsupported under libcpp-no-exceptions
ClosedPublic

Authored by rogfer01 on Dec 9 2016, 3:08 AM.

Details

Summary

The destructor of std::promise needs to construct a std::future_error
exception so it calls std::make_exception_ptr. But under
libcpp-no-exceptions this will trigger an abort.

Diff Detail

Repository
rL LLVM

Event Timeline

rogfer01 updated this revision to Diff 80877.Dec 9 2016, 3:08 AM
rogfer01 retitled this revision from to Mark tests as unsupported under libcpp-no-exceptions.
rogfer01 updated this object.
rogfer01 added reviewers: EricWF, mclow.lists, rmaprath.
rogfer01 added a subscriber: cfe-commits.
rmaprath edited edge metadata.Dec 12 2016, 3:16 AM

LGTM. Needs approval from @EricWF or @mclow.lists.

EricWF accepted this revision.Dec 23 2016, 5:47 PM
EricWF edited edge metadata.

I'm OK with this change. Although I'm not 100% sure it's needed, since the XFAIL seems to work for these tests. However using UNSUPPORTED is more consistent with other tests.

This revision is now accepted and ready to land.Dec 23 2016, 5:47 PM
This revision was automatically updated to reflect the committed changes.